Results 1 to 5 of 5

Thread: Adding sample application Quick Start error

    Success! Looks like we've fixed this one. According to our records the fix was applied for SDKTOOLS-1859 in 6.5.1.
  1. #1

    Default Adding sample application Quick Start error

    Hello all,

    I'm finally getting around to working with Ext JS but I'm having trouble getting started and I'm also having difficulty with some of the documentation (some of that may just be on me).

    I have installed the ext-6.5.0-trial, as well as SenchaCmd-6.5.0-windows-64bit.

    I'm on this page of the documentation: http://docs.sencha.com/extjs/6.5.0/g...roduction.html
    (My post seems similar to this one from last year: https://www.sencha.com/forum/showthr...-Guide-Failure)


    I downloaded the Sample Application "quickStart", and placed it among the other examples that come with Ext JS.
    C:\Ext_JS_Trial\ext-6.5.0-trial\ext-6.5.0\examples\
    ...
    app
    calendar
    classic
    kitchensink
    modern
    quickStart ***
    resources
    ...


    But when I do the following:
    C:\Ext_JS_Trial\ext-6.5.0-trial\ext-6.5.0\examples\quickStart>sencha app install --framework=C:/Ext_JS_Trial/ext-6.5.0-trial/ext-6.5.0/
    Sencha Cmd v6.5.0.180
    [INF] Using existing workspace at C:\Ext_JS_Trial\ext-6.5.0-trial\ext-6.5.0\examples\quickStart
    [ERR] Framework version 6.2.0 not found!

    I'm not sure why it's trying to use 6.2 in this case?

    Any ideas? Thank you!

  2. #2
    Sencha User
    Join Date
    Feb 2013
    Location
    California
    Posts
    11,985

    Default

    The bug on the thread to which you linked was fixed in Cmd 6.2.1 so it's likely separate. Is this a completely fresh installation of Cmd and Ext JS or have you used previous version on this machine?

  3. #3

    Default

    This is a fresh install on this machine. :/

  4. #4

    Default

    I just tried to download this application from you all (https://github.com/sencha-extjs-examples/ModernTutorial), and I have it in separate directory, but I'm getting the same error.


    C:\Users\scott\extjs_projects\ModernTutorial>sencha app install --framework=C:/Ext_JS_Trial/ext-6.5.0-trial/ext-6.5.0/
    Sencha Cmd v6.5.0.180
    [INF] Using existing workspace at C:\Users\scott\extjs_projects\ModernTutorial
    [ERR] Framework version 6.2.0 not found!

    I don't get this error when building (and rebuilding) a new, fresh application.

    (And ignore my comment in the first post where I mention my post is similar to another post. That was a hold-over from when my post was originally going to be about the difficulty about following the quick-start guide for beginners, like myself. As I tried new things my post here changed to what it is now, and that line accidentally stayed in.)

  5. #5
    Sencha - Product Team
    Join Date
    Apr 2015
    Posts
    110

    Default

    Thanks for the report! I have opened a bug in our bug tracker.

Similar Threads

  1. Quick Start Guide Failure
    By twosouth in forum Sencha Cmd
    Replies: 3
    Last Post: 26 Oct 2016, 2:04 PM
  2. Sencha Touch 2.3.0 Quick Start
    By Ulysses69 in forum Sencha Touch 2.x: Q&A
    Replies: 13
    Last Post: 15 Oct 2013, 2:02 PM
  3. senchA quick start guide
    By speyyety in forum Community Discussion
    Replies: 2
    Last Post: 20 Oct 2011, 1:17 PM
  4. Quick start guides for integration with Java and ASP.NET
    By Whatty in forum Community Discussion
    Replies: 1
    Last Post: 19 Aug 2009, 5:46 PM
  5. Getting Error while compiling sample application
    By visumagic in forum Ext GWT: Help & Discussion (1.x)
    Replies: 7
    Last Post: 19 Aug 2008, 7:05 PM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •